using SushiBarContracts.BindingModels;
using SushiBarContracts.SearchModels;
using SushiBarContracts.ViewModels;

namespace SushiBarContracts.BusinessLogicsContracts;

public interface IImplementerLogic
{
    List<ImplementerViewModel>? ReadList(ImplementerSearchModel? model);
    ImplementerViewModel? ReadElement(ImplementerSearchModel model);
    bool Create(ImplementerBindingModel model);
    bool Update(ImplementerBindingModel model);
    bool Delete(ImplementerBindingModel model);
}